db.proteins.createIndex({'uniprot_id': 1}, {unique: true})
db.proteins.createIndex({'species_tax_id': 1})
db.proteins.createIndex({'functional_type': 1})
db.proteins.createIndex({
    "function": "text",
    "gene_name": "text",
    "species_name": "text",
    "uniprot_id": "text",
    "uniprot_readable_id": "text"
})


db.condensate_children.createIndex({'unique_name': 1}, {unique: true})
db.condensate_children.createIndex({'species_tax_id': 1})
db.condensate_children.createIndex({
    "name": "text",
    "species_name": "text",
    "unique_name": "text",
})

db.condensate_parents.createIndex({'canonical_id': 1}, {unique: true})
db.condensate_parents.createIndex({'species_tax_id': 1})
db.condensate_parents.createIndex({
    "name": "text",
    "species_name": "text",
    "canonical_id": "text",
    "synonyms": "text",
})


db.post_translational_modifications.createIndex({'unique_name': 1}, {unique: true})


db.experiments.createIndex({'exp_id': 1}, {unique: true})
db.experiments.createIndex({'condensate_id': 1})


db.protein_protein_interactions.createIndex({'pp_id': 1}, {unique: true})
db.protein_protein_interactions.createIndex({'uniprot_id1': 1, 'uniprot_id2': 1, 'score': 1})
db.protein_protein_interactions.createIndex({'uniprot_id1': 1, 'score': 1})
db.protein_protein_interactions.createIndex({'uniprot_id2': 1, 'score': 1})


db.domain_domain_interactions.createIndex({'dd_id': 1}, {unique: true})
db.domain_domain_interactions.createIndex({'pfam_id1': 1, 'pfam_id2': 1})


db.domain_motif_interactions.createIndex({'dm_id': 1}, {unique: true})
db.domain_motif_interactions.createIndex({'pfam_id': 1, 'elm_id': 1})


db.complimentary_scores_7.createIndex({'pp_id': 1}, {unique: true})
db.complimentary_scores_7.createIndex({'uniprot_id1': 1, 'uniprot_id2': 1}, {unique: true})
db.complimentary_scores_7.createIndex({'uniprot_id2': 1})
db.complimentary_scores_7.createIndex({'score': 1})


db.biomarkers.createIndex({'condensate_canonical_id': 1}, {unique: true})
db.biomarkers.createIndex({'protein_candidates': 1})